You're looking at an older version of Totara.

Please see Totara 15 help for the latest version.

On this page

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Published by Scroll Versions from space THM and version 13

...

OS

  • Recommended: CentOS, Red Hat, or Ubuntu
  • Debian, OSX, or any unix-based operating system should be compatible.
  • Windows Server
    It should be noted that Microsoft have announced that they are discontinuing their support for future PHP versions in Windows from PHP 8.0 as per PHP Internal mailing list post.

Web server

  • Apache 2.4.x
  • Apache 2.2.
  • IIS 8.x

PHP

PHP
  • Recommended: 7.4.x
  • Supported: 7.4.x, 7.3.x, 7.2.10
minimum, it is recommended you use the latest PHP 7.4 release.
  • +
  • Not supported: 7.2.9 or lower, PHP 8

Required modules: curl, ctype, dom, gd, iconv, intl, json, mbstring, pcre, simplexml, spl, xml, zip, zlib

Recommended extensions: openssl, tokenizer, xmlrpc, soap, opcache, exif.

Database

  • PostgreSQL
    • Supported: 9.6 or greater
  • MariaDB
    • Supported: 10.5.x, 10.4.x, 10.3.x, 10.2.6+
    • Not supported: major releases greater than 10.5, 10.2.5 or lower, 10.1 and lower.
  • MySQL
    • Supported: 8.0.x, 5.7.21+
    • Not supported: major releases greater than 8.0, 5.7.20 or lower, 5.6.x and lower.
  • MSSQL
    • Supported: 14.0 (2017) or greater
    • Not supported: 13 (2016) and lower.

...